Gets an audience members list

Prev Next
Get
/audiences/{audienceId}/members

Takes in an audience id/reference and returns its members.

Security
HTTP
Type basic

HTTP Basic authentication using your Tenant ID and API secret.

  • Username is the Tenant ID (i.e. eu-west-2_AbcdEfghI)
  • Password is the API secret you would have received.

You can also authenticate using OAuth 2.0 client credentials (oauth2 security scheme) instead of Basic auth.

OAuth

OAuth 2.0 client credentials authentication.

Use the following token endpoints (replace :tenantId with your Tenant ID):

  • Public API access tokens

    • Staging: https://public.api.learnstaging.link/oauth2/token/:tenantId
    • Production: https://public.api.learn.link/oauth2/token/:tenantId
    • Staging MEA: https://public.api.meastaging.learn.tech/oauth2/token/:tenantId
    • Production MEA: https://public.api.mea.learn.tech/oauth2/token/:tenantId
  • Webhooks access tokens

    • Staging: https://user.api.learnstaging.link/oauth2/token/:tenantId
    • Production: https://user.api.learn.link/oauth2/token/:tenantId
    • Staging MEA: https://user.api.meastaging.learn.tech/oauth2/token/:tenantId
    • Production MEA: https://user.api.mea.learn.tech/oauth2/token/:tenantId

All access tokens must be sent using the Authorization: Bearer <access_token> header.

Scopes

For API access (non-webhooks), the following scopes are available:

  • api/all – Full read and write access to the API.
  • api/read – Read-only access to the API.
  • api/write – Write access to the API.

For webhooks, the following scopes are available:

  • api/webhooks – Access to webhook functionality.
  • api/all – Full read and write access to the API, including webhooks.

Tokens must include appropriate scopes for the endpoints you wish to call.

FlowClient Credentials
Token URLhttps://public.api.learn.link/oauth2/token/:tenantId
Path parameters
audienceId
stringRequired

Filter by audienceId or audience reference.

Example63f57d805d8ecbf46f5b5278
Query parameters
page
number

Used in combination with the limit parameter to page through the data.

Default1
Example1
perPage
number

Used in combination with the page parameter to page through the data.

Minimum1.0
Maximum100.0
Default100
Example50
limit
number

Used in combination with the page parameter to page through the data.

Minimum1.0
Maximum100.0
Default100
Example50
Responses
200

An array of audience members.

Expand All
results
Array of object (AudienceMember)

The audience member object.

userId
string

The user's id.

Example63f8c5361b9c80d3274be7ca
reference
string

The user's reference.

Exampleuser123
email
string

The user's email.

Exampletest@thrivelearning.com
pagination
object

Details of the pagination, for endpoints that also return the deprecated pageNumber field.

totalResults
integer

Total number of results matching the query

Example48
totalPages
integer

Total number of pages available

Example3
page
integer

Current page number

Minimum1.0
Default1
Example1
perPage
integer

Number of results per page

Minimum1.0
Maximum1000.0
Default100
Example20
pageNumber
integer Deprecated

Deprecated alias for page, carrying the same value. Use page instead; pageNumber will be removed in a future release.

Minimum1.0
Example1
401

Unauthorized

object

Unauthorized

status
number
Example401
error
string
ExampleUnauthorized
message
string
403

Forbidden

object

Forbidden

status
number
Example403
error
string
ExampleForbidden
message
string #deprecatedtemplate# #additional-property-template#
OneOf
string
string
object
object
409

Conflict

object

Conflict

status
number
Example409
error
string
ExampleConflict
message
string, object
422

Unprocessable Content

object

Unprocessable Content

status
number
Example422
error
string
ExampleUnprocessable Content
message
string #deprecatedtemplate# #additional-property-template#
OneOf
string
string
object
object
default

Internal Server Error

object

Internal Server Error

status
number
Example500
error
string
ExampleInternal Server Error
message
string